KDE 4.9 PyKDE API Reference

- KDE's Python API

# ItemString Class Reference

`from PyKDE4.kdecore import *`

Inherits: KConfigSkeletonItem
Namespace: KCoreConfigSkeleton

## Detailed Description

Class for handling a string preferences item.

## Enumerations

Type | { Normal, Password, Path }

## Methods

| __init__ (self, QString _group, QString _key, QString reference, QString defaultValue=QLatin1String(""), KCoreConfigSkeleton.ItemString.Type type=KCoreConfigSkeleton.ItemString.Normal)
bool | isEqual (self, QVariant p)
QVariant | property (self)
| readConfig (self, KConfig config)
| readDefault (self, KConfig config)
| setDefault (self)
| setDefaultValue (self, QString v)
| setProperty (self, QVariant p)
| setValue (self, QString v)
| swapDefault (self)
QString | value (self)
| writeConfig (self, KConfig config)

## Method Documentation

__init__ | ( | self, |
|  | QString | _group,
|  | QString | _key,
|  | QString | reference,
|  | QString | defaultValue=QLatin1String(""),
|  | KCoreConfigSkeleton.ItemString.Type | type=KCoreConfigSkeleton.ItemString.Normal
| ) |  |  |

KConfigSkeletonGenericItem.KConfigSkeletonGenericItem

Parameters:

  | type | The type of string held by the item

bool isEqual | ( | self, |
|  | QVariant | p
| ) |  |  |

KConfigSkeletonItem.isEqual(const QVariant &) const

QVariant property | ( |  | self ) |

KConfigSkeletonItem.property() const

readConfig | ( | self, |
|  | KConfig | config
| ) |  |  |

KConfigSkeletonItem.readConfig(KConfig*)

readDefault | ( | self, |
|  | KConfig | config
| ) |  |  |

setDefault | ( |  | self ) |

setDefaultValue | ( | self, |
|  | QString | v
| ) |  |  |

setProperty | ( | self, |
|  | QVariant | p
| ) |  |  |

KConfigSkeletonItem.setProperty(const QVariant&)

setValue | ( | self, |
|  | QString | v
| ) |  |  |

swapDefault | ( |  | self ) |

QString value | ( |  | self ) |

writeConfig | ( | self, |
|  | KConfig | config
| ) |  |  |

KConfigSkeletonItem.writeConfig(KConfig*)

## Enumeration Documentation

Type

Enumerator:

  String = QVariant::String |
  DateTime = QVariant::DateTime |
  Invalid = QVariant::Invalid |